/*===========================================================================*/
/*   (Llib/process.scm)                                                      */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -srfi enable-gmp -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -stdc -c Llib/process.scm -indent -o objs/obj_s/Llib/process.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___PROCESS_TYPE_DEFINITIONS
#define BGL___PROCESS_TYPE_DEFINITIONS
#endif // BGL___PROCESS_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

extern obj_t c_process_xstatus(obj_t);
extern obj_t c_process_list(void);
static obj_t BGl_requirezd2initializa7ationz75zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t);
static obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__processz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62processzd2killzb0zz__processz00(obj_t, obj_t);
static obj_t BGl_z62runzd2processzb0zz__processz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t, obj_t);
static obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t, obj_t);
static obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2killzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_processzf3zf3zz__processz00(obj_t);
static obj_t BGl_list1690z00zz__processz00 = BUNSPEC;
static obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__processz00(void);
static obj_t BGl_genericzd2initzd2zz__processz00(void);
BGL_EXPORTED_DECL bool_t BGl_processzd2waitzd2zz__processz00(obj_t);
extern obj_t c_process_kill(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__processz00(void);
static obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t, obj_t);
static obj_t BGl_keyword1701z00zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__processz00(void);
BGL_EXPORTED_DECL obj_t BGl_processzd2nilzd2zz__processz00(void);
static obj_t BGl_keyword1703z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1705z00zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_processzd2stopzd2zz__processz00(obj_t);
static obj_t BGl_keyword1707z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1709z00zz__processz00 = BUNSPEC;
static obj_t BGl_objectzd2initzd2zz__processz00(void);
static obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t, obj_t);
static obj_t BGl_keyword1711z00zz__processz00 = BUNSPEC;
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t c_process_wait(obj_t);
extern obj_t bgl_reverse_bang(obj_t);
extern obj_t bgl_process_nil(void);
static obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t, obj_t);
extern obj_t c_process_stop(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2continuezd2zz__processz00(obj_t);
static obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t, obj_t);
extern obj_t c_process_continue(obj_t);
BGL_EXPORTED_DECL int BGl_processzd2pidzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_runzd2processzd2zz__processz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__processz00(void);
static obj_t BGl_z62processzf3z91zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t, int);
extern obj_t c_unregister_process(obj_t);
extern obj_t c_run_process(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bstring_to_keyword(obj_t);
static obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t, obj_t);
extern obj_t bgl_close_input_port(obj_t);
static obj_t BGl_z62processzd2listzb0zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t);
extern obj_t c_process_send_signal(obj_t, int);
static obj_t BGl_keyword1691z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1695z00zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t);
static obj_t BGl_keyword1699z00zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t);
static obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t);
static obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2listzd2zz__processz00(void);
extern obj_t bgl_close_output_port(obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern bool_t c_process_alivep(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2errorzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2err1721z00, BGl_z62processzd2errorzd2portz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2nilzd2envz00zz__processz00, BgL_bgl_za762processza7d2nil1722z00, BGl_z62processzd2nilzb0zz__processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2killzd2envz00zz__processz00, BgL_bgl_za762processza7d2kil1723z00, BGl_z62processzd2killzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1700z00zz__processz00, BgL_bgl_string1700za700za7za7_1724za7, "fork", 4 );
DEFINE_STRING( BGl_string1702z00zz__processz00, BgL_bgl_string1702za700za7za7_1725za7, "input", 5 );
DEFINE_STRING( BGl_string1704z00zz__processz00, BgL_bgl_string1704za700za7za7_1726za7, "output", 6 );
DEFINE_STRING( BGl_string1706z00zz__processz00, BgL_bgl_string1706za700za7za7_1727za7, "null", 4 );
DEFINE_STRING( BGl_string1708z00zz__processz00, BgL_bgl_string1708za700za7za7_1728za7, "error", 5 );
DEFINE_STRING( BGl_string1710z00zz__processz00, BgL_bgl_string1710za700za7za7_1729za7, "host", 4 );
DEFINE_STRING( BGl_string1712z00zz__processz00, BgL_bgl_string1712za700za7za7_1730za7, "env", 3 );
DEFINE_STRING( BGl_string1713z00zz__processz00, BgL_bgl_string1713za700za7za7_1731za7, "&run-process", 12 );
DEFINE_STRING( BGl_string1714z00zz__processz00, BgL_bgl_string1714za700za7za7_1732za7, "bstring", 7 );
DEFINE_STRING( BGl_string1715z00zz__processz00, BgL_bgl_string1715za700za7za7_1733za7, "close-process-ports", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2outputzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2out1734z00, BGl_z62processzd2outputzd2portz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1716z00zz__processz00, BgL_bgl_string1716za700za7za7_1735za7, "output-port", 11 );
DEFINE_STRING( BGl_string1717z00zz__processz00, BgL_bgl_string1717za700za7za7_1736za7, "input-port", 10 );
DEFINE_STRING( BGl_string1718z00zz__processz00, BgL_bgl_string1718za700za7za7_1737za7, "&close-process-ports", 20 );
DEFINE_STRING( BGl_string1719z00zz__processz00, BgL_bgl_string1719za700za7za7_1738za7, "&unregister-process", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2waitzd2envz00zz__processz00, BgL_bgl_za762processza7d2wai1739z00, BGl_z62processzd2waitzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_closezd2processzd2portszd2envzd2zz__processz00, BgL_bgl_za762closeza7d2proce1740z00, BGl_z62closezd2processzd2portsz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1720z00zz__processz00, BgL_bgl_string1720za700za7za7_1741za7, "__process", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_unregisterzd2processzd2envz00zz__processz00, BgL_bgl_za762unregisterza7d21742z00, BGl_z62unregisterzd2processzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2exitzd2statuszd2envzd2zz__processz00, BgL_bgl_za762processza7d2exi1743z00, BGl_z62processzd2exitzd2statusz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2continuezd2envz00zz__processz00, BgL_bgl_za762processza7d2con1744z00, BGl_z62processzd2continuezb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzf3zd2envz21zz__processz00, BgL_bgl_za762processza7f3za7911745za7, BGl_z62processzf3z91zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1676z00zz__processz00, BgL_bgl_string1676za700za7za7_1746za7, "/tmp/bigloo/runtime/Llib/process.scm", 36 );
DEFINE_STRING( BGl_string1677z00zz__processz00, BgL_bgl_string1677za700za7za7_1747za7, "&process-pid", 12 );
DEFINE_STRING( BGl_string1678z00zz__processz00, BgL_bgl_string1678za700za7za7_1748za7, "process", 7 );
DEFINE_STRING( BGl_string1679z00zz__processz00, BgL_bgl_string1679za700za7za7_1749za7, "&process-output-port", 20 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2alivezf3zd2envzf3zz__processz00, BgL_bgl_za762processza7d2ali1750z00, BGl_z62processzd2alivezf3z43zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2pidzd2envz00zz__processz00, BgL_bgl_za762processza7d2pid1751z00, BGl_z62processzd2pidzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2inputzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2inp1752z00, BGl_z62processzd2inputzd2portz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1680z00zz__processz00, BgL_bgl_string1680za700za7za7_1753za7, "&process-input-port", 19 );
DEFINE_STRING( BGl_string1681z00zz__processz00, BgL_bgl_string1681za700za7za7_1754za7, "&process-error-port", 19 );
DEFINE_STRING( BGl_string1682z00zz__processz00, BgL_bgl_string1682za700za7za7_1755za7, "&process-alive?", 15 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2stopzd2envz00zz__processz00, BgL_bgl_za762processza7d2sto1756z00, BGl_z62processzd2stopzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1683z00zz__processz00, BgL_bgl_string1683za700za7za7_1757za7, "&process-wait", 13 );
DEFINE_STRING( BGl_string1684z00zz__processz00, BgL_bgl_string1684za700za7za7_1758za7, "&process-exit-status", 20 );
DEFINE_STRING( BGl_string1685z00zz__processz00, BgL_bgl_string1685za700za7za7_1759za7, "&process-send-signal", 20 );
DEFINE_STRING( BGl_string1686z00zz__processz00, BgL_bgl_string1686za700za7za7_1760za7, "bint", 4 );
DEFINE_STRING( BGl_string1687z00zz__processz00, BgL_bgl_string1687za700za7za7_1761za7, "&process-kill", 13 );
DEFINE_STRING( BGl_string1688z00zz__processz00, BgL_bgl_string1688za700za7za7_1762za7, "&process-stop", 13 );
DEFINE_STRING( BGl_string1689z00zz__processz00, BgL_bgl_string1689za700za7za7_1763za7, "&process-continue", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_runzd2processzd2envz00zz__processz00, BgL_bgl_za762runza7d2process1764z00, va_generic_entry, BGl_z62runzd2processzb0zz__processz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2listzd2envz00zz__processz00, BgL_bgl_za762processza7d2lis1765z00, BGl_z62processzd2listzb0zz__processz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1692z00zz__processz00, BgL_bgl_string1692za700za7za7_1766za7, "pipe", 4 );
DEFINE_STRING( BGl_string1693z00zz__processz00, BgL_bgl_string1693za700za7za7_1767za7, "loop", 4 );
DEFINE_STRING( BGl_string1694z00zz__processz00, BgL_bgl_string1694za700za7za7_1768za7, "pair", 4 );
DEFINE_STRING( BGl_string1696z00zz__processz00, BgL_bgl_string1696za700za7za7_1769za7, "wait", 4 );
DEFINE_STRING( BGl_string1697z00zz__processz00, BgL_bgl_string1697za700za7za7_1770za7, "run-process", 11 );
DEFINE_STRING( BGl_string1698z00zz__processz00, BgL_bgl_string1698za700za7za7_1771za7, "Illegal argument", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2sendzd2signalzd2envzd2zz__processz00, BgL_bgl_za762processza7d2sen1772z00, BGl_z62processzd2sendzd2signalz62zz__processz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__processz00) );
ADD_ROOT( (void *)(&BGl_list1690z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1701z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1703z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1705z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1707z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1709z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1711z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1691z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1695z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1699z00zz__processz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__processz00(long BgL_checksumz00_1904, char * BgL_fromz00_1905)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__processz00))
{ 
BGl_requirezd2initializa7ationz75zz__processz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__processz00(); 
BGl_cnstzd2initzd2zz__processz00(); 
BGl_importedzd2moduleszd2initz00zz__processz00(); 
return 
BGl_methodzd2initzd2zz__processz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__processz00(void)
{
{ /* Llib/process.scm 15 */
BGl_keyword1691z00zz__processz00 = 
bstring_to_keyword(BGl_string1692z00zz__processz00); 
BGl_list1690z00zz__processz00 = 
MAKE_YOUNG_PAIR(BGl_keyword1691z00zz__processz00, BNIL); 
BGl_keyword1695z00zz__processz00 = 
bstring_to_keyword(BGl_string1696z00zz__processz00); 
BGl_keyword1699z00zz__processz00 = 
bstring_to_keyword(BGl_string1700z00zz__processz00); 
BGl_keyword1701z00zz__processz00 = 
bstring_to_keyword(BGl_string1702z00zz__processz00); 
BGl_keyword1703z00zz__processz00 = 
bstring_to_keyword(BGl_string1704z00zz__processz00); 
BGl_keyword1705z00zz__processz00 = 
bstring_to_keyword(BGl_string1706z00zz__processz00); 
BGl_keyword1707z00zz__processz00 = 
bstring_to_keyword(BGl_string1708z00zz__processz00); 
BGl_keyword1709z00zz__processz00 = 
bstring_to_keyword(BGl_string1710z00zz__processz00); 
return ( 
BGl_keyword1711z00zz__processz00 = 
bstring_to_keyword(BGl_string1712z00zz__processz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__processz00(void)
{
{ /* Llib/process.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* process? */
BGL_EXPORTED_DEF bool_t BGl_processzf3zf3zz__processz00(obj_t BgL_objz00_3)
{
{ /* Llib/process.scm 123 */
return 
PROCESSP(BgL_objz00_3);} 

}



/* &process? */
obj_t BGl_z62processzf3z91zz__processz00(obj_t BgL_envz00_1813, obj_t BgL_objz00_1814)
{
{ /* Llib/process.scm 123 */
return 
BBOOL(
BGl_processzf3zf3zz__processz00(BgL_objz00_1814));} 

}



/* process-nil */
BGL_EXPORTED_DEF obj_t BGl_processzd2nilzd2zz__processz00(void)
{
{ /* Llib/process.scm 129 */
BGL_TAIL return 
bgl_process_nil();} 

}



/* &process-nil */
obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t BgL_envz00_1815)
{
{ /* Llib/process.scm 129 */
return 
BGl_processzd2nilzd2zz__processz00();} 

}



/* process-pid */
BGL_EXPORTED_DEF int BGl_processzd2pidzd2zz__processz00(obj_t BgL_procz00_4)
{
{ /* Llib/process.scm 135 */
return 
PROCESS_PID(BgL_procz00_4);} 

}



/* &process-pid */
obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t BgL_envz00_1816, obj_t BgL_procz00_1817)
{
{ /* Llib/process.scm 135 */
{ /* Llib/process.scm 136 */
 int BgL_tmpz00_1930;
{ /* Llib/process.scm 136 */
 obj_t BgL_auxz00_1931;
if(
PROCESSP(BgL_procz00_1817))
{ /* Llib/process.scm 136 */
BgL_auxz00_1931 = BgL_procz00_1817
; }  else 
{ 
 obj_t BgL_auxz00_1934;
BgL_auxz00_1934 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(5714L), BGl_string1677z00zz__processz00, BGl_string1678z00zz__processz00, BgL_procz00_1817); 
FAILURE(BgL_auxz00_1934,BFALSE,BFALSE);} 
BgL_tmpz00_1930 = 
BGl_processzd2pidzd2zz__processz00(BgL_auxz00_1931); } 
return 
BINT(BgL_tmpz00_1930);} } 

}



/* process-output-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t BgL_procz00_5)
{
{ /* Llib/process.scm 141 */
return 
PROCESS_OUTPUT_PORT(BgL_procz00_5);} 

}



/* &process-output-port */
obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t BgL_envz00_1818, obj_t BgL_procz00_1819)
{
{ /* Llib/process.scm 141 */
{ /* Llib/process.scm 142 */
 obj_t BgL_auxz00_1941;
if(
PROCESSP(BgL_procz00_1819))
{ /* Llib/process.scm 142 */
BgL_auxz00_1941 = BgL_procz00_1819
; }  else 
{ 
 obj_t BgL_auxz00_1944;
BgL_auxz00_1944 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(6004L), BGl_string1679z00zz__processz00, BGl_string1678z00zz__processz00, BgL_procz00_1819); 
FAILURE(BgL_auxz00_1944,BFALSE,BFALSE);} 
return 
BGl_processzd2outputzd2portz00zz__processz00(BgL_auxz00_1941);} } 

}



/* process-input-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t BgL_procz00_6)
{
{ /* Llib/process.scm 147 */
return 
PROCESS_INPUT_PORT(BgL_procz00_6);} 

}



/* &process-input-port */
obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t BgL_envz00_1820, obj_t BgL_procz00_1821)
{
{ /* Llib/process.scm 147 */
{ /* Llib/process.scm 148 */
 obj_t BgL_auxz00_1950;
if(
PROCESSP(BgL_procz00_1821))
{ /* Llib/process.scm 148 */
BgL_auxz00_1950 = BgL_procz00_1821
; }  else 
{ 
 obj_t BgL_auxz00_1953;
BgL_auxz00_1953 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(6301L), BGl_string1680z00zz__processz00, BGl_string1678z00zz__processz00, BgL_procz00_1821); 
FAILURE(BgL_auxz00_1953,BFALSE,BFALSE);} 
return 
BGl_processzd2inputzd2portz00zz__processz00(BgL_auxz00_1950);} } 

}



/* process-error-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t BgL_procz00_7)
{
{ /* Llib/process.scm 153 */
return 
PROCESS_ERROR_PORT(BgL_procz00_7);} 

}



/* &process-error-port */
obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t BgL_envz00_1822, obj_t BgL_procz00_1823)
{
{ /* Llib/process.scm 153 */
{ /* Llib/process.scm 154 */
 obj_t BgL_auxz00_1959;
if(
PROCESSP(BgL_procz00_1823))
{ /* Llib/process.scm 154 */
BgL_auxz00_1959 = BgL_procz00_1823
; }  else 
{ 
 obj_t BgL_auxz00_1962;
BgL_auxz00_1962 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(6597L), BGl_string1681z00zz__processz00, BGl_string1678z00zz__processz00, BgL_procz00_1823); 
FAILURE(BgL_auxz00_1962,BFALSE,BFALSE);} 
return 
BGl_processzd2errorzd2portz00zz__processz00(BgL_auxz00_1959);} } 

}



/* process-alive? */
BGL_EXPORTED_DEF bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t BgL_procz00_8)
{
{ /* Llib/process.scm 159 */
BGL_TAIL return 
c_process_alivep(BgL_procz00_8);} 

}



/* &process-alive? */
obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t BgL_envz00_1824, obj_t BgL_procz00_1825)
{
{ /* Llib/process.scm 159 */
{ /* Llib/process.scm 160 */
 bool_t BgL_tmpz00_1968;
{ /* Llib/process.scm 160 */
 obj_t BgL_auxz00_1969;
if(
PROCESSP(BgL_procz00_1825))
{ /* Llib/process.scm 160 */
BgL_auxz00_1969 = BgL_procz00_1825
; }  else 
{ 
 obj_t BgL_auxz00_1972;
BgL_auxz00_1972 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(6889L), BGl_string1682z00zz__processz00, BGl_string1678z00zz__processz00, BgL_procz00_1825); 
FAILURE(BgL_auxz00_1972,BFALSE,BFALSE);} 
BgL_tmpz00_1968 = 
BGl_processzd2alivezf3z21zz__processz00(BgL_auxz00_1969); } 
return 
BBOOL(BgL_tmpz00_1968);} } 

}



/* process-wait */
BGL_EXPORTED_DEF bool_t BGl_processzd2waitzd2zz__processz00(obj_t BgL_procz00_9)
{
{ /* Llib/process.scm 165 */
if(
c_process_alivep(BgL_procz00_9))
{ /* Llib/process.scm 166 */
return 
CBOOL(
c_process_wait(BgL_procz00_9));}  else 
{ /* Llib/process.scm 166 */
return ((bool_t)0);} } 

}



/* &process-wait */
obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t BgL_envz00_1826, obj_t BgL_procz00_1827)
{
{ /* Llib/process.scm 165 */
{ /* Llib/process.scm 166 */
 bool_t BgL_tmpz00_1982;
{ /* Llib/process.scm 166 */
 obj_t BgL_auxz00_1983;
if(
PROCESSP(BgL_procz00_1827))
{ /* Llib/process.scm 166 */
BgL_auxz00_1983 = BgL_procz00_1827
; }  else 
{ 
 obj_t BgL_auxz00_1986;
BgL_auxz00_1986 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(7175L), BGl_string1683z00zz__processz00, BGl_string1678z00zz__processz00, BgL_procz00_1827); 
FAILURE(BgL_auxz00_1986,BFALSE,BFALSE);} 
BgL_tmpz00_1982 = 
BGl_processzd2waitzd2zz__processz00(BgL_auxz00_1983); } 
return 
BBOOL(BgL_tmpz00_1982);} } 

}



/* process-exit-status */
BGL_EXPORTED_DEF obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t BgL_procz00_10)
{
{ /* Llib/process.scm 172 */
BGL_TAIL return 
c_process_xstatus(BgL_procz00_10);} 

}



/* &process-exit-status */
obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t BgL_envz00_1828, obj_t BgL_procz00_1829)
{
{ /* Llib/process.scm 172 */
{ /* Llib/process.scm 173 */
 obj_t BgL_auxz00_1993;
if(
PROCESSP(BgL_procz00_1829))
{ /* Llib/process.scm 173 */
BgL_auxz00_1993 = BgL_procz00_1829
; }  else 
{ 
 obj_t BgL_auxz00_1996;
BgL_auxz00_1996 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(7500L), BGl_string1684z00zz__processz00, BGl_string1678z00zz__processz00, BgL_procz00_1829); 
FAILURE(BgL_auxz00_1996,BFALSE,BFALSE);} 
return 
BGl_processzd2exitzd2statusz00zz__processz00(BgL_auxz00_1993);} } 

}



/* process-send-signal */
BGL_EXPORTED_DEF obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t BgL_procz00_11, int BgL_signalz00_12)
{
{ /* Llib/process.scm 178 */
BGL_TAIL return 
c_process_send_signal(BgL_procz00_11, BgL_signalz00_12);} 

}



/* &process-send-signal */
obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t BgL_envz00_1830, obj_t BgL_procz00_1831, obj_t BgL_signalz00_1832)
{
{ /* Llib/process.scm 178 */
{ /* Llib/process.scm 179 */
 int BgL_auxz00_2009; obj_t BgL_auxz00_2002;
{ /* Llib/process.scm 179 */
 obj_t BgL_tmpz00_2010;
if(
INTEGERP(BgL_signalz00_1832))
{ /* Llib/process.scm 179 */
BgL_tmpz00_2010 = BgL_signalz00_1832
; }  else 
{ 
 obj_t BgL_auxz00_2013;
BgL_auxz00_2013 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(7805L), BGl_string1685z00zz__processz00, BGl_string1686z00zz__processz00, BgL_signalz00_1832); 
FAILURE(BgL_auxz00_2013,BFALSE,BFALSE);} 
BgL_auxz00_2009 = 
CINT(BgL_tmpz00_2010); } 
if(
PROCESSP(BgL_procz00_1831))
{ /* Llib/process.scm 179 */
BgL_auxz00_2002 = BgL_procz00_1831
; }  else 
{ 
 obj_t BgL_auxz00_2005;
BgL_auxz00_2005 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(7805L), BGl_string1685z00zz__processz00, BGl_string1678z00zz__processz00, BgL_procz00_1831); 
FAILURE(BgL_auxz00_2005,BFALSE,BFALSE);} 
return 
BGl_processzd2sendzd2signalz00zz__processz00(BgL_auxz00_2002, BgL_auxz00_2009);} } 

}



/* process-kill */
BGL_EXPORTED_DEF obj_t BGl_processzd2killzd2zz__processz00(obj_t BgL_procz00_13)
{
{ /* Llib/process.scm 184 */
c_process_kill(BgL_procz00_13); 
BGL_TAIL return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_13);} 

}



/* &process-kill */
obj_t BGl_z62processzd2killzb0zz__processz00(obj_t BgL_envz00_1833, obj_t BgL_procz00_1834)
{
{ /* Llib/process.scm 184 */
{ /* Llib/process.scm 185 */
 obj_t BgL_auxz00_2021;
if(
PROCESSP(BgL_procz00_1834))
{ /* Llib/process.scm 185 */
BgL_auxz00_2021 = BgL_procz00_1834
; }  else 
{ 
 obj_t BgL_auxz00_2024;
BgL_auxz00_2024 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(8123L), BGl_string1687z00zz__processz00, BGl_string1678z00zz__processz00, BgL_procz00_1834); 
FAILURE(BgL_auxz00_2024,BFALSE,BFALSE);} 
return 
BGl_processzd2killzd2zz__processz00(BgL_auxz00_2021);} } 

}



/* process-stop */
BGL_EXPORTED_DEF obj_t BGl_processzd2stopzd2zz__processz00(obj_t BgL_procz00_14)
{
{ /* Llib/process.scm 191 */
BGL_TAIL return 
c_process_stop(BgL_procz00_14);} 

}



/* &process-stop */
obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t BgL_envz00_1835, obj_t BgL_procz00_1836)
{
{ /* Llib/process.scm 191 */
{ /* Llib/process.scm 192 */
 obj_t BgL_auxz00_2030;
if(
PROCESSP(BgL_procz00_1836))
{ /* Llib/process.scm 192 */
BgL_auxz00_2030 = BgL_procz00_1836
; }  else 
{ 
 obj_t BgL_auxz00_2033;
BgL_auxz00_2033 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(8417L), BGl_string1688z00zz__processz00, BGl_string1678z00zz__processz00, BgL_procz00_1836); 
FAILURE(BgL_auxz00_2033,BFALSE,BFALSE);} 
return 
BGl_processzd2stopzd2zz__processz00(BgL_auxz00_2030);} } 

}



/* process-continue */
BGL_EXPORTED_DEF obj_t BGl_processzd2continuezd2zz__processz00(obj_t BgL_procz00_15)
{
{ /* Llib/process.scm 197 */
BGL_TAIL return 
c_process_continue(BgL_procz00_15);} 

}



/* &process-continue */
obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t BgL_envz00_1837, obj_t BgL_procz00_1838)
{
{ /* Llib/process.scm 197 */
{ /* Llib/process.scm 198 */
 obj_t BgL_auxz00_2039;
if(
PROCESSP(BgL_procz00_1838))
{ /* Llib/process.scm 198 */
BgL_auxz00_2039 = BgL_procz00_1838
; }  else 
{ 
 obj_t BgL_auxz00_2042;
BgL_auxz00_2042 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(8705L), BGl_string1689z00zz__processz00, BGl_string1678z00zz__processz00, BgL_procz00_1838); 
FAILURE(BgL_auxz00_2042,BFALSE,BFALSE);} 
return 
BGl_processzd2continuezd2zz__processz00(BgL_auxz00_2039);} } 

}



/* process-list */
BGL_EXPORTED_DEF obj_t BGl_processzd2listzd2zz__processz00(void)
{
{ /* Llib/process.scm 203 */
BGL_TAIL return 
c_process_list();} 

}



/* &process-list */
obj_t BGl_z62processzd2listzb0zz__processz00(obj_t BgL_envz00_1839)
{
{ /* Llib/process.scm 203 */
return 
BGl_processzd2listzd2zz__processz00();} 

}



/* run-process */
BGL_EXPORTED_DEF obj_t BGl_runzd2processzd2zz__processz00(obj_t BgL_commandz00_16, obj_t BgL_restz00_17)
{
{ /* Llib/process.scm 212 */
{ /* Llib/process.scm 213 */
 bool_t BgL_forkz00_1112; bool_t BgL_waitz00_1113; obj_t BgL_inputz00_1114; obj_t BgL_outputz00_1115; obj_t BgL_errorz00_1116; obj_t BgL_hostz00_1117; obj_t BgL_pipesz00_1118; obj_t BgL_argsz00_1119; obj_t BgL_envz00_1120;
BgL_forkz00_1112 = ((bool_t)1); 
BgL_waitz00_1113 = ((bool_t)0); 
BgL_inputz00_1114 = BUNSPEC; 
BgL_outputz00_1115 = BUNSPEC; 
BgL_errorz00_1116 = BUNSPEC; 
BgL_hostz00_1117 = BUNSPEC; 
BgL_pipesz00_1118 = BGl_list1690z00zz__processz00; 
BgL_argsz00_1119 = BNIL; 
BgL_envz00_1120 = BNIL; 
{ 
 obj_t BgL_restz00_1123;
{ /* Llib/process.scm 224 */
 obj_t BgL_aux1662z00_1890;
BgL_restz00_1123 = BgL_restz00_17; 
BgL_zc3z04anonymousza31154ze3z87_1124:
if(
NULLP(BgL_restz00_1123))
{ /* Llib/process.scm 229 */
 obj_t BgL_arg1156z00_1126;
BgL_arg1156z00_1126 = 
bgl_reverse_bang(BgL_argsz00_1119); 
BgL_aux1662z00_1890 = 
c_run_process(BgL_hostz00_1117, 
BBOOL(BgL_forkz00_1112), 
BBOOL(BgL_waitz00_1113), BgL_inputz00_1114, BgL_outputz00_1115, BgL_errorz00_1116, BgL_commandz00_16, BgL_arg1156z00_1126, BgL_envz00_1120); }  else 
{ /* Llib/process.scm 230 */
 bool_t BgL_test1788z00_2055;
{ /* Llib/process.scm 230 */
 bool_t BgL_test1789z00_2056;
{ /* Llib/process.scm 230 */
 obj_t BgL_tmpz00_2057;
{ /* Llib/process.scm 230 */
 obj_t BgL_pairz00_1595;
if(
PAIRP(BgL_restz00_1123))
{ /* Llib/process.scm 230 */
BgL_pairz00_1595 = BgL_restz00_1123; }  else 
{ 
 obj_t BgL_auxz00_2060;
BgL_auxz00_2060 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(9937L), BGl_string1693z00zz__processz00, BGl_string1694z00zz__processz00, BgL_restz00_1123); 
FAILURE(BgL_auxz00_2060,BFALSE,BFALSE);} 
BgL_tmpz00_2057 = 
CAR(BgL_pairz00_1595); } 
BgL_test1789z00_2056 = 
KEYWORDP(BgL_tmpz00_2057); } 
if(BgL_test1789z00_2056)
{ /* Llib/process.scm 230 */
 obj_t BgL_tmpz00_2066;
{ /* Llib/process.scm 230 */
 obj_t BgL_pairz00_1596;
if(
PAIRP(BgL_restz00_1123))
{ /* Llib/process.scm 230 */
BgL_pairz00_1596 = BgL_restz00_1123; }  else 
{ 
 obj_t BgL_auxz00_2069;
BgL_auxz00_2069 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(9956L), BGl_string1693z00zz__processz00, BGl_string1694z00zz__processz00, BgL_restz00_1123); 
FAILURE(BgL_auxz00_2069,BFALSE,BFALSE);} 
BgL_tmpz00_2066 = 
CDR(BgL_pairz00_1596); } 
BgL_test1788z00_2055 = 
PAIRP(BgL_tmpz00_2066); }  else 
{ /* Llib/process.scm 230 */
BgL_test1788z00_2055 = ((bool_t)0)
; } } 
if(BgL_test1788z00_2055)
{ /* Llib/process.scm 231 */
 obj_t BgL_valz00_1132;
{ /* Llib/process.scm 231 */
 obj_t BgL_pairz00_1597;
if(
PAIRP(BgL_restz00_1123))
{ /* Llib/process.scm 231 */
BgL_pairz00_1597 = BgL_restz00_1123; }  else 
{ 
 obj_t BgL_auxz00_2077;
BgL_auxz00_2077 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(9987L), BGl_string1693z00zz__processz00, BGl_string1694z00zz__processz00, BgL_restz00_1123); 
FAILURE(BgL_auxz00_2077,BFALSE,BFALSE);} 
{ /* Llib/process.scm 231 */
 obj_t BgL_pairz00_1600;
{ /* Llib/process.scm 231 */
 obj_t BgL_aux1648z00_1876;
BgL_aux1648z00_1876 = 
CDR(BgL_pairz00_1597); 
if(
PAIRP(BgL_aux1648z00_1876))
{ /* Llib/process.scm 231 */
BgL_pairz00_1600 = BgL_aux1648z00_1876; }  else 
{ 
 obj_t BgL_auxz00_2084;
BgL_auxz00_2084 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(9981L), BGl_string1693z00zz__processz00, BGl_string1694z00zz__processz00, BgL_aux1648z00_1876); 
FAILURE(BgL_auxz00_2084,BFALSE,BFALSE);} } 
BgL_valz00_1132 = 
CAR(BgL_pairz00_1600); } } 
{ /* Llib/process.scm 232 */
 obj_t BgL_casezd2valuezd2_1133;
{ /* Llib/process.scm 232 */
 obj_t BgL_pairz00_1601;
if(
PAIRP(BgL_restz00_1123))
{ /* Llib/process.scm 232 */
BgL_pairz00_1601 = BgL_restz00_1123; }  else 
{ 
 obj_t BgL_auxz00_2091;
BgL_auxz00_2091 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(10008L), BGl_string1693z00zz__processz00, BGl_string1694z00zz__processz00, BgL_restz00_1123); 
FAILURE(BgL_auxz00_2091,BFALSE,BFALSE);} 
BgL_casezd2valuezd2_1133 = 
CAR(BgL_pairz00_1601); } 
if(
(BgL_casezd2valuezd2_1133==BGl_keyword1695z00zz__processz00))
{ /* Llib/process.scm 232 */
if(
BOOLEANP(BgL_valz00_1132))
{ /* Llib/process.scm 234 */
BgL_waitz00_1113 = 
CBOOL(BgL_valz00_1132); }  else 
{ /* Llib/process.scm 234 */
BGl_errorz00zz__errorz00(BGl_string1697z00zz__processz00, BGl_string1698z00zz__processz00, BgL_restz00_1123); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1133==BGl_keyword1699z00zz__processz00))
{ /* Llib/process.scm 232 */
if(
BOOLEANP(BgL_valz00_1132))
{ /* Llib/process.scm 238 */
BgL_forkz00_1112 = 
CBOOL(BgL_valz00_1132); }  else 
{ /* Llib/process.scm 238 */
BGl_errorz00zz__errorz00(BGl_string1697z00zz__processz00, BGl_string1698z00zz__processz00, BgL_restz00_1123); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1133==BGl_keyword1701z00zz__processz00))
{ /* Llib/process.scm 242 */
 bool_t BgL_test1800z00_2110;
if(
STRINGP(BgL_valz00_1132))
{ /* Llib/process.scm 242 */
BgL_test1800z00_2110 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 242 */
BgL_test1800z00_2110 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_1132, BgL_pipesz00_1118))
; } 
if(BgL_test1800z00_2110)
{ /* Llib/process.scm 242 */
BgL_inputz00_1114 = BgL_valz00_1132; }  else 
{ /* Llib/process.scm 242 */
BGl_errorz00zz__errorz00(BGl_string1697z00zz__processz00, BGl_string1698z00zz__processz00, BgL_restz00_1123); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1133==BGl_keyword1703z00zz__processz00))
{ /* Llib/process.scm 246 */
 bool_t BgL_test1803z00_2118;
if(
STRINGP(BgL_valz00_1132))
{ /* Llib/process.scm 246 */
BgL_test1803z00_2118 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 246 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_1132, BgL_pipesz00_1118)))
{ /* Llib/process.scm 246 */
BgL_test1803z00_2118 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 246 */
BgL_test1803z00_2118 = 
(BgL_valz00_1132==BGl_keyword1705z00zz__processz00)
; } } 
if(BgL_test1803z00_2118)
{ /* Llib/process.scm 246 */
BgL_outputz00_1115 = BgL_valz00_1132; }  else 
{ /* Llib/process.scm 246 */
BGl_errorz00zz__errorz00(BGl_string1697z00zz__processz00, BGl_string1698z00zz__processz00, BgL_restz00_1123); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1133==BGl_keyword1707z00zz__processz00))
{ /* Llib/process.scm 250 */
 bool_t BgL_test1807z00_2128;
if(
STRINGP(BgL_valz00_1132))
{ /* Llib/process.scm 250 */
BgL_test1807z00_2128 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 250 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_1132, BgL_pipesz00_1118)))
{ /* Llib/process.scm 250 */
BgL_test1807z00_2128 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 250 */
BgL_test1807z00_2128 = 
(BgL_valz00_1132==BGl_keyword1705z00zz__processz00)
; } } 
if(BgL_test1807z00_2128)
{ /* Llib/process.scm 250 */
BgL_errorz00_1116 = BgL_valz00_1132; }  else 
{ /* Llib/process.scm 250 */
BGl_errorz00zz__errorz00(BGl_string1697z00zz__processz00, BGl_string1698z00zz__processz00, BgL_restz00_1123); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1133==BGl_keyword1709z00zz__processz00))
{ /* Llib/process.scm 232 */
if(
STRINGP(BgL_valz00_1132))
{ /* Llib/process.scm 254 */
BgL_hostz00_1117 = BgL_valz00_1132; }  else 
{ /* Llib/process.scm 254 */
BGl_errorz00zz__errorz00(BGl_string1697z00zz__processz00, BGl_string1698z00zz__processz00, BgL_restz00_1123); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1133==BGl_keyword1711z00zz__processz00))
{ /* Llib/process.scm 232 */
if(
STRINGP(BgL_valz00_1132))
{ /* Llib/process.scm 258 */
BgL_envz00_1120 = 
MAKE_YOUNG_PAIR(BgL_valz00_1132, BgL_envz00_1120); }  else 
{ /* Llib/process.scm 258 */
BGl_errorz00zz__errorz00(BGl_string1697z00zz__processz00, BGl_string1698z00zz__processz00, BgL_restz00_1123); } }  else 
{ /* Llib/process.scm 232 */
BGl_errorz00zz__errorz00(BGl_string1697z00zz__processz00, BGl_string1698z00zz__processz00, BgL_restz00_1123); } } } } } } } } 
{ /* Llib/process.scm 263 */
 obj_t BgL_arg1185z00_1158;
{ /* Llib/process.scm 263 */
 obj_t BgL_pairz00_1610;
{ /* Llib/process.scm 263 */
 obj_t BgL_pairz00_1609;
if(
PAIRP(BgL_restz00_1123))
{ /* Llib/process.scm 263 */
BgL_pairz00_1609 = BgL_restz00_1123; }  else 
{ 
 obj_t BgL_auxz00_2150;
BgL_auxz00_2150 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(10738L), BGl_string1693z00zz__processz00, BGl_string1694z00zz__processz00, BgL_restz00_1123); 
FAILURE(BgL_auxz00_2150,BFALSE,BFALSE);} 
{ /* Llib/process.scm 263 */
 obj_t BgL_aux1654z00_1882;
BgL_aux1654z00_1882 = 
CDR(BgL_pairz00_1609); 
if(
PAIRP(BgL_aux1654z00_1882))
{ /* Llib/process.scm 263 */
BgL_pairz00_1610 = BgL_aux1654z00_1882; }  else 
{ 
 obj_t BgL_auxz00_2157;
BgL_auxz00_2157 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(10733L), BGl_string1693z00zz__processz00, BGl_string1694z00zz__processz00, BgL_aux1654z00_1882); 
FAILURE(BgL_auxz00_2157,BFALSE,BFALSE);} } } 
BgL_arg1185z00_1158 = 
CDR(BgL_pairz00_1610); } 
{ 
 obj_t BgL_restz00_2162;
BgL_restz00_2162 = BgL_arg1185z00_1158; 
BgL_restz00_1123 = BgL_restz00_2162; 
goto BgL_zc3z04anonymousza31154ze3z87_1124;} } }  else 
{ /* Llib/process.scm 264 */
 bool_t BgL_test1816z00_2163;
{ /* Llib/process.scm 264 */
 obj_t BgL_tmpz00_2164;
{ /* Llib/process.scm 264 */
 obj_t BgL_pairz00_1611;
if(
PAIRP(BgL_restz00_1123))
{ /* Llib/process.scm 264 */
BgL_pairz00_1611 = BgL_restz00_1123; }  else 
{ 
 obj_t BgL_auxz00_2167;
BgL_auxz00_2167 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(10768L), BGl_string1693z00zz__processz00, BGl_string1694z00zz__processz00, BgL_restz00_1123); 
FAILURE(BgL_auxz00_2167,BFALSE,BFALSE);} 
BgL_tmpz00_2164 = 
CAR(BgL_pairz00_1611); } 
BgL_test1816z00_2163 = 
STRINGP(BgL_tmpz00_2164); } 
if(BgL_test1816z00_2163)
{ /* Llib/process.scm 264 */
{ /* Llib/process.scm 265 */
 obj_t BgL_arg1196z00_1162;
{ /* Llib/process.scm 265 */
 obj_t BgL_pairz00_1612;
if(
PAIRP(BgL_restz00_1123))
{ /* Llib/process.scm 265 */
BgL_pairz00_1612 = BgL_restz00_1123; }  else 
{ 
 obj_t BgL_auxz00_2175;
BgL_auxz00_2175 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(10803L), BGl_string1693z00zz__processz00, BGl_string1694z00zz__processz00, BgL_restz00_1123); 
FAILURE(BgL_auxz00_2175,BFALSE,BFALSE);} 
BgL_arg1196z00_1162 = 
CAR(BgL_pairz00_1612); } 
BgL_argsz00_1119 = 
MAKE_YOUNG_PAIR(BgL_arg1196z00_1162, BgL_argsz00_1119); } 
{ /* Llib/process.scm 266 */
 obj_t BgL_arg1197z00_1163;
{ /* Llib/process.scm 266 */
 obj_t BgL_pairz00_1613;
if(
PAIRP(BgL_restz00_1123))
{ /* Llib/process.scm 266 */
BgL_pairz00_1613 = BgL_restz00_1123; }  else 
{ 
 obj_t BgL_auxz00_2183;
BgL_auxz00_2183 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(10833L), BGl_string1693z00zz__processz00, BGl_string1694z00zz__processz00, BgL_restz00_1123); 
FAILURE(BgL_auxz00_2183,BFALSE,BFALSE);} 
BgL_arg1197z00_1163 = 
CDR(BgL_pairz00_1613); } 
{ 
 obj_t BgL_restz00_2188;
BgL_restz00_2188 = BgL_arg1197z00_1163; 
BgL_restz00_1123 = BgL_restz00_2188; 
goto BgL_zc3z04anonymousza31154ze3z87_1124;} } }  else 
{ /* Llib/process.scm 264 */
BgL_aux1662z00_1890 = 
BGl_errorz00zz__errorz00(BGl_string1697z00zz__processz00, BGl_string1698z00zz__processz00, BgL_restz00_1123); } } } 
if(
PROCESSP(BgL_aux1662z00_1890))
{ /* Llib/process.scm 224 */
return BgL_aux1662z00_1890;}  else 
{ 
 obj_t BgL_auxz00_2192;
BgL_auxz00_2192 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(9761L), BGl_string1697z00zz__processz00, BGl_string1678z00zz__processz00, BgL_aux1662z00_1890); 
FAILURE(BgL_auxz00_2192,BFALSE,BFALSE);} } } } } 

}



/* &run-process */
obj_t BGl_z62runzd2processzb0zz__processz00(obj_t BgL_envz00_1840, obj_t BgL_commandz00_1841, obj_t BgL_restz00_1842)
{
{ /* Llib/process.scm 212 */
{ /* Llib/process.scm 213 */
 obj_t BgL_auxz00_2196;
if(
STRINGP(BgL_commandz00_1841))
{ /* Llib/process.scm 213 */
BgL_auxz00_2196 = BgL_commandz00_1841
; }  else 
{ 
 obj_t BgL_auxz00_2199;
BgL_auxz00_2199 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(9491L), BGl_string1713z00zz__processz00, BGl_string1714z00zz__processz00, BgL_commandz00_1841); 
FAILURE(BgL_auxz00_2199,BFALSE,BFALSE);} 
return 
BGl_runzd2processzd2zz__processz00(BgL_auxz00_2196, BgL_restz00_1842);} } 

}



/* close-process-ports */
BGL_EXPORTED_DEF obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t BgL_procz00_18)
{
{ /* Llib/process.scm 273 */
{ /* Llib/process.scm 274 */
 bool_t BgL_test1822z00_2204;
{ /* Llib/process.scm 274 */
 obj_t BgL_tmpz00_2205;
BgL_tmpz00_2205 = 
PROCESS_INPUT_PORT(BgL_procz00_18); 
BgL_test1822z00_2204 = 
OUTPUT_PORTP(BgL_tmpz00_2205); } 
if(BgL_test1822z00_2204)
{ /* Llib/process.scm 275 */
 obj_t BgL_arg1206z00_1174;
BgL_arg1206z00_1174 = 
PROCESS_INPUT_PORT(BgL_procz00_18); 
{ /* Llib/process.scm 275 */
 obj_t BgL_portz00_1616;
if(
OUTPUT_PORTP(BgL_arg1206z00_1174))
{ /* Llib/process.scm 275 */
BgL_portz00_1616 = BgL_arg1206z00_1174; }  else 
{ 
 obj_t BgL_auxz00_2211;
BgL_auxz00_2211 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(11236L), BGl_string1715z00zz__processz00, BGl_string1716z00zz__processz00, BgL_arg1206z00_1174); 
FAILURE(BgL_auxz00_2211,BFALSE,BFALSE);} 
bgl_close_output_port(BgL_portz00_1616); } }  else 
{ /* Llib/process.scm 274 */BFALSE; } } 
{ /* Llib/process.scm 276 */
 bool_t BgL_test1824z00_2216;
{ /* Llib/process.scm 276 */
 obj_t BgL_tmpz00_2217;
BgL_tmpz00_2217 = 
PROCESS_ERROR_PORT(BgL_procz00_18); 
BgL_test1824z00_2216 = 
INPUT_PORTP(BgL_tmpz00_2217); } 
if(BgL_test1824z00_2216)
{ /* Llib/process.scm 277 */
 obj_t BgL_arg1211z00_1178;
BgL_arg1211z00_1178 = 
PROCESS_ERROR_PORT(BgL_procz00_18); 
{ /* Llib/process.scm 277 */
 obj_t BgL_portz00_1619;
if(
INPUT_PORTP(BgL_arg1211z00_1178))
{ /* Llib/process.scm 277 */
BgL_portz00_1619 = BgL_arg1211z00_1178; }  else 
{ 
 obj_t BgL_auxz00_2223;
BgL_auxz00_2223 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(11336L), BGl_string1715z00zz__processz00, BGl_string1717z00zz__processz00, BgL_arg1211z00_1178); 
FAILURE(BgL_auxz00_2223,BFALSE,BFALSE);} 
bgl_close_input_port(BgL_portz00_1619); } }  else 
{ /* Llib/process.scm 276 */BFALSE; } } 
{ /* Llib/process.scm 278 */
 bool_t BgL_test1826z00_2228;
{ /* Llib/process.scm 278 */
 obj_t BgL_tmpz00_2229;
BgL_tmpz00_2229 = 
PROCESS_OUTPUT_PORT(BgL_procz00_18); 
BgL_test1826z00_2228 = 
INPUT_PORTP(BgL_tmpz00_2229); } 
if(BgL_test1826z00_2228)
{ /* Llib/process.scm 279 */
 obj_t BgL_arg1217z00_1182;
BgL_arg1217z00_1182 = 
PROCESS_OUTPUT_PORT(BgL_procz00_18); 
{ /* Llib/process.scm 279 */
 obj_t BgL_portz00_1622;
if(
INPUT_PORTP(BgL_arg1217z00_1182))
{ /* Llib/process.scm 279 */
BgL_portz00_1622 = BgL_arg1217z00_1182; }  else 
{ 
 obj_t BgL_auxz00_2235;
BgL_auxz00_2235 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(11438L), BGl_string1715z00zz__processz00, BGl_string1717z00zz__processz00, BgL_arg1217z00_1182); 
FAILURE(BgL_auxz00_2235,BFALSE,BFALSE);} 
return 
bgl_close_input_port(BgL_portz00_1622);} }  else 
{ /* Llib/process.scm 278 */
return BFALSE;} } } 

}



/* &close-process-ports */
obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t BgL_envz00_1843, obj_t BgL_procz00_1844)
{
{ /* Llib/process.scm 273 */
{ /* Llib/process.scm 275 */
 obj_t BgL_auxz00_2240;
if(
PROCESSP(BgL_procz00_1844))
{ /* Llib/process.scm 275 */
BgL_auxz00_2240 = BgL_procz00_1844
; }  else 
{ 
 obj_t BgL_auxz00_2243;
BgL_auxz00_2243 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(11238L), BGl_string1718z00zz__processz00, BGl_string1678z00zz__processz00, BgL_procz00_1844); 
FAILURE(BgL_auxz00_2243,BFALSE,BFALSE);} 
return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_auxz00_2240);} } 

}



/* unregister-process */
BGL_EXPORTED_DEF obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t BgL_procz00_19)
{
{ /* Llib/process.scm 284 */
BGL_TAIL return 
c_unregister_process(BgL_procz00_19);} 

}



/* &unregister-process */
obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t BgL_envz00_1845, obj_t BgL_procz00_1846)
{
{ /* Llib/process.scm 284 */
{ /* Llib/process.scm 285 */
 obj_t BgL_auxz00_2249;
if(
PROCESSP(BgL_procz00_1846))
{ /* Llib/process.scm 285 */
BgL_auxz00_2249 = BgL_procz00_1846
; }  else 
{ 
 obj_t BgL_auxz00_2252;
BgL_auxz00_2252 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1676z00zz__processz00, 
BINT(11710L), BGl_string1719z00zz__processz00, BGl_string1678z00zz__processz00, BgL_procz00_1846); 
FAILURE(BgL_auxz00_2252,BFALSE,BFALSE);} 
return 
BGl_unregisterzd2processzd2zz__processz00(BgL_auxz00_2249);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__processz00(void)
{
{ /* Llib/process.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__processz00(void)
{
{ /* Llib/process.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__processz00(void)
{
{ /* Llib/process.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__processz00(void)
{
{ /* Llib/process.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string1720z00zz__processz00));} 

}

#ifdef __cplusplus
}
#endif
